Package net.sourceforge.jiu.color.io

# Class MatrixSerialization

java.lang.Object
net.sourceforge.jiu.color.io.MatrixSerialization

public class MatrixSerialization extends Object
Write co-occurrence and co-occurrence frequency matrices to text files.

Since:
  0.6.0
Author:
  Marco Schmidt

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`MatrixSerialization()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`save(CoOccurrenceFrequencyMatrix matrix, PrintStream out)`
`static void`
`save(CoOccurrenceMatrix matrix, PrintStream out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MatrixSerialization

private MatrixSerialization()

## Method Details

### save

public static void save(CoOccurrenceMatrix matrix, PrintStream out)

### save

public static void save(CoOccurrenceFrequencyMatrix matrix, PrintStream out)